Plugin Update Manifest
Update the manifest for a plugin. This is used for development of plugins where the manifest may change frequently and it's useful to be able to update it without re-uploading the entire plugin bundle. This only works for External plugins that were created by uploading a manifest directly. It does not work for Supervised plugins.
Update the manifest for a plugin. This is used for development of plugins where the manifest may change frequently and it's useful to be able to update it without re-uploading the entire plugin bundle.
This only works for External plugins that were created by uploading a manifest directly. It does not work for Supervised plugins.
storyden-session<token>plugin_instance_id*stringPlugin ID.
xidapplication/json- body
The plugin's manifest information read from the plugin itself. This describes the version information, the author, its requested access and other information that the plugin has provided.
This data structure is direct from the plugin itself and is not modified by the runtime. As such, it's not part of the Storyden HTTP API contract so it's left as a free-form object here so that HTTP clients don't rely on its structure here. That being said, the manifest format is defined in a contract as part of the Plugin RPC spec which is a separate spec.
As a HTTP API consumer, you probably won't need to interact with this in
such a way that requires validation, however if you do need the schema,
it is located in plugin.yaml in the same folder as this specification.
[key: string]?anyOK
application/json- response
id*IdentifierA unique identifier for this resource.
xidadded_at*stringThe time the plugin was installed.
date-timename*PluginNameThe name of the plugin, as defined in the plugin's manifest. This is not a unique identifier and is only used for display purposes.
description?PluginDescriptionThe description of the plugin, as defined in the plugin's manifest.
version?PluginVersionThe version of the plugin, as defined in the plugin's manifest. This is not used for any versioning or compatibility purposes by the runtime and is only used for display purposes currently.
status*|||||manifest*The plugin's manifest information read from the plugin itself. This describes the version information, the author, its requested access and other information that the plugin has provided.
This data structure is direct from the plugin itself and is not modified by the runtime. As such, it's not part of the Storyden HTTP API contract so it's left as a free-form object here so that HTTP clients don't rely on its structure here. That being said, the manifest format is defined in a contract as part of the Plugin RPC spec which is a separate spec.
As a HTTP API consumer, you probably won't need to interact with this in
such a way that requires validation, however if you do need the schema,
it is located in plugin.yaml in the same folder as this specification.
connection*|curl -X PATCH 'https://example.com/api/plugins/string/manifest' \ -H 'Content-Type: application/json' \ -d '{}'{ "id": "string", "added_at": "2019-08-24T14:15:22Z", "name": "string", "description": "string", "version": "string", "status": { "active_state": "inactive", "deactivated_at": "2019-08-24T14:15:22Z" }, "manifest": {}, "connection": { "mode": "supervised" }}Plugin Update Configuration PATCH
Update the configuration for a plugin. Each plugin defines its own set of configuration parameters in its manifest and this endpoint accepts any object validated against that schema. When a valid configuration is received, it is sent to the plugin via RPC and the plugin is expected to apply the new configuration to itself internally.
Plugin Update Package PATCH
Replace the package archive for a supervised plugin installation. The uploaded package manifest must have the same plugin ID as the currently installed plugin. If the plugin is active, it is restarted using the new package. If inactive, the package is replaced without changing active state.